import * as React from 'react';
import * as PropTypes from 'prop-types';
export interface IWithCurrentUserState {
    user: any;
    loading: boolean;
}
export declare class WithCurrentUser extends React.Component<{}, IWithCurrentUserState> {
    static childContextTypes: {
        accountsClient: PropTypes.Requireable<any>;
    };
    private unsubscribe;
    constructor(props: any, context: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.SFCElement<{
        currentUser: any;
        loading: boolean;
    }>;
}
